<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.android.capstone">

    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />

    <application
        android:name=".App"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <meta-data
            android:name="com.google.android.geo.API_KEY"
            android:value="@string/google_maps_key" />

        <activity
            android:name=".Activities.SplashActivity"
            android:theme="@style/SplashTheme"
            android:windowSoftInputMode="stateAlwaysHidden">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name=".Activities.LoginActivity"></activity>
        <activity
            android:name=".Activities.RegisterUserActivity"
            android:label="@string/title_register_user" />
        <activity
            android:name=".Activities.MyProfileActivity"
            android:label="@string/title_myprofile" />
        <activity android:name=".Activities.MapsActivity" />
        <activity
            android:name=".Activities.BusDetailsActivity"
            android:label="@string/title_busdetail" />
        <activity
            android:name=".Activities.SeaterActivity"
            android:label="@string/title_seat_selection" />
        <activity
            android:name=".Activities.SleeperActivity"
            android:theme="@style/AppTheme"
            android:label="@string/title_seat_selection"
            android:configChanges="orientation|screenSize|keyboardHidden"/>
        <activity
            android:name=".Activities.TripHistoryActivity"
            android:label="@string/title_trip_history" />
        <activity
            android:name=".Activities.SearchNavActivity"
            android:label="@string/title_activity_search_nav"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".Activities.EditProfileActivity"
            android:label="@string/title_edit_profile" /><!--
        <activity android:name=".SleeperTabActivity"
            android:theme="@style/Theme.AppCompat.NoActionBar"></activity>-->
    </application>

</manifest>
